## com.sun.jersey.core.spi.scanning
Interface Scanner

All Known Implementing Classes:
  FilesScanner, PackageNamesScanner

    public interface Scanner

An interface for scanning resources and reporting those resources to a scanning listener.

Author:
  Paul.Sandoz@Sun.Com

Method Summary
`void` `scan(ScannerListener sl)` Perform a scan and report resources to a scanning listener.

Method Detail

### scan

    void scan(ScannerListener sl)
              throws ScannerException

  Perform a scan and report resources to a scanning listener.

  Parameters:
    `sl` - the scanning listener to report entries.
  Throws:
    `ScannerException` - if an error occured while scanning.

Copyright © 2017 Oracle Corporation. All Rights Reserved.